您的位置:新葡亰496net > 电脑系统 > 新葡亰496net:Liunx下全局安装,没有那个文件或目

新葡亰496net:Liunx下全局安装,没有那个文件或目

发布时间:2019-11-16 11:29编辑:电脑系统浏览(109)

    集中系列:

    世家都晓得 Ubuntu Tweak 相通于Windows中的优化大师,在Ubuntu 14.04事先,有个别系统装置,比方退换宗旨,Grub2的美化,实用的公文夹右键脚本效率以致清理软骨头等等,都足以应用Ubuntu Tweak方便的得以达成,是比较实用的三个工具软件。

    upir@upir-Rev-1-0:~$ sudo sh -c 'echo "deb [arch=amd64] xenial main" > /etc/apt/sources.list.d/dotnetdev.list'
    [sudo] upir 的密码:
    upir@upir-Rev-1-0:~$ sudo apt-key adv --keyserver apt-mo.trafficmanager.net --recv-keys 417A0893
    Executing: /tmp/tmp.aAAxfRnmIc/gpg.1.sh --keyserver
    apt-mo.trafficmanager.net
    --recv-keys
    417A0893
    gpg: 下载密钥‘417A0893’,从 hkp 服务器 apt-mo.trafficmanager.net
    gpg: 密钥 417A0893:公钥“MS Open Tech <interop@microsoft.com>”已导入
    gpg: 合计被管理的数据:1
    gpg: 已导入:1 (RSA: 1)
    upir@upir-Rev-1-0:~$ sudo apt-get update
    命中:1 xenial InRelease
    命中:2 xenial-updates InRelease
    忽略:3 stable InRelease
    命中:4 xenial-backports InRelease
    命中:5 stable Release
    获取:7 xenial InRelease [2,820 B]
    命中:8 xenial InRelease
    获取:9 xenial-security InRelease [94.5 kB]
    获取:10 xenial/main amd64 Packages [5,159 B]
    已下载 102 kB,耗时 1秒 (55.2 kB/s)
    正值读取软件包列表... 完毕
    upir@upir-Rev-1-0:~$ sudo apt-get install dotnet-dev-1.0.0-preview2-003121
    正值读取软件包列表... 完结
    正在言之有序软件包的信赖性关系树
    正在读取状态音讯... 完毕
    将会同一时间安装下列软件:
    dotnet-host dotnet-hostfxr-1.0.1
    dotnet-sharedframework-microsoft.netcore.app-1.0.0 liblldb-3.6 libllvm3.6v5
    liblttng-ust-ctl2 liblttng-ust0 liburcu4
    下列【新】软件包将棉被服装置:
    dotnet-dev-1.0.0-preview2-003121 dotnet-host dotnet-hostfxr-1.0.1
    dotnet-sharedframework-microsoft.netcore.app-1.0.0 liblldb-3.6 libllvm3.6v5
    liblttng-ust-ctl2 liblttng-ust0 liburcu4
    晋级了 0 个软件包,新安装了 9 个软件包,要卸载 0 个软件包,有 二十二个软件包未被升高。
    急需下载 55.3 MB 的存档。
    解压缩后会消耗 170 MB 的附加空间。
    您愿意继续执可以吗? [Y/n] y
    获取:1 xenial/main amd64 libllvm3.6v5 amd64 1:3.6.2-3ubuntu2 [8,075 kB]
    获取:2 xenial/main amd64 dotnet-host amd64 1.0.2-beta-000555-00-1 [33.6 kB]
    获取:3 xenial/main amd64 dotnet-hostfxr-1.0.1 amd64 1.0.1-1 [123 kB]
    获取:4 xenial/main amd64 dotnet-sharedframework-microsoft.netcore.app-1.0.0 amd64 1.0.0-1 [22.6 MB]
    获取:5 xenial/main amd64 liblldb-3.6 amd64 1:3.6.2-3ubuntu2 [7,303 kB]
    获取:6 xenial/universe amd64 liburcu4 amd64 0.9.1-3 [47.3 kB]
    获取:7 xenial/universe amd64 liblttng-ust-ctl2 amd64 2.7.1-1 [72.2 kB]
    获取:8 xenial/universe amd64 liblttng-ust0 amd64 2.7.1-1 [127 kB]
    获取:9 xenial/main amd64 dotnet-dev-1.0.0-preview2-003121 amd64 1.0.0-preview2-003121-1 [16.9 MB]
    已下载 55.3 MB,耗时 3分 59秒 (231 kB/s)
    正在当选未采取的软件包 libllvm3.6v5:amd64。
    (正在读取数据库 ... 系统当下共设置有 229256 个文本和目录。)
    正筹划解包 .../libllvm3.6v5_1:3.6.2-3ubuntu2_amd64.deb ...
    正在解包 libllvm3.6v5:amd64 (1:3.6.2-3ubuntu2) ...
    正在当选未选用的软件包 liblldb-3.6。
    正希图解包 .../liblldb-3.6_1:3.6.2-3ubuntu2_amd64.deb ...
    正在解包 liblldb-3.6 (1:3.6.2-3ubuntu2) ...
    正在当选未接受的软件包 liburcu4:amd64。
    正策画解包 .../liburcu4_0.9.1-3_amd64.deb ...
    正在解包 liburcu4:amd64 (0.9.1-3) ...
    正在当选未采用的软件包 liblttng-ust-ctl2:amd64。
    正计划解包 .../liblttng-ust-ctl2_2.7.1-1_amd64.deb ...
    正在解包 liblttng-ust-ctl2:amd64 (2.7.1-1) ...
    正在当选未选择的软件包 liblttng-ust0:amd64。
    正思忖解包 .../liblttng-ust0_2.7.1-1_amd64.deb ...
    正在解包 liblttng-ust0:amd64 (2.7.1-1) ...
    正在当选未选拔的软件包 dotnet-host。
    正希图解包 .../dotnet-host_1.0.2-beta-000555-00-1_amd64.deb ...
    正在解包 dotnet-host (1.0.2-beta-000555-00-1) ...
    正在当选未选用的软件包 dotnet-hostfxr-1.0.1。
    正策动解包 .../dotnet-hostfxr-1.0.1_1.0.1-1_amd64.deb ...
    正在解包 dotnet-hostfxr-1.0.1 (1.0.1-1) ...
    正在当选未选拔的软件包 dotnet-sharedframework-microsoft.netcore.app-1.0.0。
    正思量解包 .../dotnet-sharedframework-microsoft.netcore.app-1.0.0_1.0.0-1_amd64.deb ...
    正在解包 dotnet-sharedframework-microsoft.netcore.app-1.0.0 (1.0.0-1) ...
    正在当选未选取的软件包 dotnet-dev-1.0.0-preview2-003121。
    正希图解包 .../dotnet-dev-1.0.0-preview2-003121_1.0.0-preview2-003121-1_amd64.deb ...
    正在解包 dotnet-dev-1.0.0-preview2-003121 (1.0.0-preview2-003121-1) ...
    正值处理用于 libc-bin (2.23-0ubuntu3) 的触发器 ...
    正在管理用于 man-db (2.7.5-1) 的触发器 ...
    正在安装 libllvm3.6v5:amd64 (1:3.6.2-3ubuntu2) ...
    正在装置 liblldb-3.6 (1:3.6.2-3ubuntu2) ...
    正在设置 liburcu4:amd64 (0.9.1-3) ...
    正在安装 liblttng-ust-ctl2:amd64 (2.7.1-1) ...
    正在安装 liblttng-ust0:amd64 (2.7.1-1) ...
    正在安装 dotnet-host (1.0.2-beta-000555-00-1) ...
    正在安装 dotnet-hostfxr-1.0.1 (1.0.1-1) ...
    正在安装 dotnet-sharedframework-microsoft.netcore.app-1.0.0 (1.0.0-1) ...
    正在安装 dotnet-dev-1.0.0-preview2-003121 (1.0.0-preview2-003121-1) ...
    This software may collect information about you and your use of the software, and send that to Microsoft.
    Please visit for more information.
    正值管理用于 libc-bin (2.23-0ubuntu3) 的触发器 ...
    upir@upir-Rev-1-0:~$ mkdir hwapp
    upir@upir-Rev-1-0:~$ cd hwapp
    upir@upir-Rev-1-0:~/hwapp$ dotnet new

    解决措施是设置python-dev,那是Python的头文件和静态库包

    Liunx下全局安装 Composer

    自个儿把它坐落系统的PATH目录中,那样就会在全局访谈它。

     

    curl -sS | php

    mv composer.phar /usr/local/bin/composer

     

    瞩目:假如向上申诉命令因为权限实施倒闭, 请使用 sudo 再一次尝试运转mv那行命令。

     

    输入指令:composer -V

     

    Composer version 1.0-dev (feefd51565bb8ead38e355b9e501685b5254d0d5)

     

    并发上边字样则声明安装成功!

     

    以下是现实性运作命令!

     

    [email protected]:~$ <span style="font-size: 14px;"><strong>curl -sS | php</strong></span>

    前后相继“curl”还未有安装。 您能够利用以下命令安装:

    sudo apt-get install curl

    [email protected]:~$ <strong><span style="font-size: 14px;">sudo apt-get install curl</span></strong>

    [sudo] password for wangyulu:

    正值读取软件包列表... 完毕

    正在剖析软件包的信赖性关系树      

    正在读取状态消息... 完结      

    将会设置下列额外的软件包:

      libcurl3

    下列【新】软件包将被设置:

      curl

    下列软件包将被晋级:

      libcurl3

    进级了 1 个软件包,新装置了 1 个软件包,要卸载 0 个软件包,有 2陆十个软件包未被进级。

    亟待下载 310 kB 的软件包。

    解压缩后会消耗掉 339 kB 的额外层空间间。

    你希望继续执行吗? [Y/n] y

    获取:1 vivid-updates/main libcurl3 amd64 7.38.0-3ubuntu2.2 [180 kB]

    获取:2 vivid-updates/main curl amd64 7.38.0-3ubuntu2.2 [129 kB]

    下载 310 kB,耗时 0秒 (700 kB/s)

    (正在读取数据库 ... 系统当下共安装有 180902 个文本和目录。)

    正希图解包 .../libcurl3_7.38.0-3ubuntu2.2_amd64.deb  ...

    正在将 libcurl3:amd64 (7.38.0-3ubuntu2.2) 解包到 (7.38.0-3ubuntu2) 上 ...

    正在当选未接受的软件包 curl。

    正计划解包 .../curl_7.38.0-3ubuntu2.2_amd64.deb  ...

    正在解包 curl (7.38.0-3ubuntu2.2) ...

    正值管理用于 man-db (2.7.0.2-5) 的触发器 ...

    正在安装 libcurl3:amd64 (7.38.0-3ubuntu2.2) ...

    正在安装 curl (7.38.0-3ubuntu2.2) ...

    正在管理用于 libc-bin (2.21-0ubuntu4) 的触发器 ...

    [email protected]:~$ <span style="font-size: 14px;"><strong>curl -sS | php</strong></span>

    #!/usr/bin/env php

    All settings correct for using Composer

    Downloading...

     

    Composer successfully installed to: /home/wangyulu/composer.phar

    Use it: php composer.phar

    [email protected]:~$ <span style="font-size: 14px;"><strong>mv composer.phar /usr/local/bin/composer</strong></span>

    mv: 不大概将"composer.phar" 移动至"/usr/local/bin/composer": 权限远远不足

    [email protected]:~$ <span style="font-size: 14px;"><strong>sudo mv composer.phar /usr/local/bin/composer</strong></span>

    [email protected]:~$ <strong><span style="font-size: 14px;">composer -V</span></strong>

    Composer version 1.0-dev (feefd51565bb8ead38e355b9e501685b5254d0d5)

    Composer 笔者把它身处系统的PATH目录中,那样就会在全局访谈它。 curl -sS | php mv composer.phar /usr/local...

    Update

    2018-08-08: style="color: #3366ff;">pip install [--user] rope style="color: #3366ff;"> :让Python对象帮衬批量重命名(eg:Ctrl Lacrosse 昂科拉卡塔 尔(阿拉伯语:قطر‎

    譬如您从Ubuntu 14.04 进级上赶到16.04,那么你会开掘你的 Ubuntu Tweak依然能够接纳的,不过若是你是全新安装Ubuntu 16.04,你会发掘后面的装置增多PPA源的办法丰盛了, 因为该作者结束维护了。

    Welcome to .NET Core!

    Learn more about .NET Core @ . Use dotnet --help to see available commands or go to .

    sudo apt-get install python-dev
    

     

    不过有个第三方的又重新创立了个,xenial 16.04本子能用的deb包和PPA源,既然小编都不修改维护了,那本人就不加多PPA源来设置了,间接下载的ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb,然后sudo dpkg - i ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb。时期开掘报信任错误了.不心急,大家再进行sudo apt-get install -f 来修复信Ryan装。

    Telemetry

    The .NET Core tools collect usage data in order to improve your experience. The data is anonymous and does not include commandline arguments. The data is collected by Microsoft and shared with the community.
    You can opt out of telemetry by setting a DOTNET_CLI_TELEMETRY_OPTOUT environment variable to 1 using your favorite shell.
    You can read more about .NET Core tools telemetry @ .

    正值读取软件包列表... 完毕
    正在言之有序软件包的依赖关系树       
    正值读取状态音讯... 完毕       
    下列软件包是半自动安装的相同的时间现在没有必要了:
      libcap2:i386 libxtst6:i386
    采取'sudo apt autoremove'来卸载它(它们)。
    将会同有的时候间安装下列软件:
      libexpat1 libexpat1:i386 libexpat1-dev libpython-dev libpython-stdlib libpython2.7 libpython2.7-dev
      libpython2.7-minimal libpython2.7-stdlib python python-minimal python2.7 python2.7-dev python2.7-minimal
    提议设置:
      python-doc python-tk python2.7-doc binfmt-support
    下列【新】软件包将被安装:
      libexpat1-dev libpython-dev libpython2.7-dev python-dev python2.7-dev
    下列软件包将被进步:
      libexpat1 libexpat1:i386 libpython-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib python
      python-minimal python2.7 python2.7-minimal
    升高了 10 个软件包,新安装了 5 个软件包,要卸载 0 个软件包,有 1153 个软件包未被升高。
    有 捌十一个软件包未有被完全安装或卸载。
    内需下载 34.1 MB 的存档。
    解压缩后会消耗 43.0 MB 的额外层空间间。

    独立设置python3的:

    事实上那个本子在路线/usr/share/ubuntu-tweak/scripts 下,当您用ubuntu-tweak重建脚本后,你会开掘实际上校这个本子放在一块儿在了在/home/你的账号名/.local/share/nautilus/scripts 下。那么我们只必要保留备份好这一个本子,以往直接copy到该职位应该也能够利用了。

    Configuring...

    A command is running to initially populate your local package cache, to improve restore speed and enable offline access. This command will take up to a minute to complete and will only happen once.
    Decompressing 100% 3081 ms
    Expanding 100% 7640 ms
    Created new C# project in /home/upir/hwapp.
    upir@upir-Rev-1-0:~/hwapp$ dotnet restore
    log : Restoring packages for /home/upir/hwapp/project.json...
    log : Writing lock file to disk. Path: /home/upir/hwapp/project.lock.json
    log : /home/upir/hwapp/project.json
    log : Restore completed in 1263ms.
    upir@upir-Rev-1-0:~/hwapp$ dotnet run
    Project hwapp (.NETCoreApp,Version=v1.0) will be compiled because expected outputs are missing
    Compiling hwapp for .NETCoreApp,Version=v1.0

    Compilation succeeded.
    0 Warning(s)
    0 Error(s)

    Time elapsed 00:00:01.7260079

    Hello World!
    upir@upir-Rev-1-0:~/hwapp$

    你希望继续执行吗? [Y/n] Y

    客户安装里面增加一下python3的路子就能够

    新葡亰496net 1

    *********************************

    新葡亰496net 2

    上面说说Ubuntu 16.04 下安装 Ubuntu Tweak的切切实实经过。

    sudo pip install uwsgi  
    

    附录:

    率先下载相关deb包。文件能够到Linux公社财富站下载:

    Collecting uwsgi
      Using cached uwsgi-2.0.15.tar.gz
    Installing collected packages: uwsgi
      Running setup.py install for uwsgi ... done
    Successfully installed uwsgi-2.0.15

    只要先安装Anaconda,再通过anaconda安装VSCode则毫不管遇到安插(会安顿好卡塔尔,假若先安装vscode就和煦配置下际遇呢:

    新葡亰496net 3

    假使没陈设你和睦安插一下,以Linux来讲:(先查看路径,再配置

    新葡亰496net 4

    新葡亰496net 5

    ------------------------------------------分割线------------------------------------------

     扩充(配置正式提醒格式化):

    免费下载地址在

    一声令下参照他事他说加以考察:pip install [--user] xxx

    规范化提示:pycodestyle or flake8(旧名字)

    代码格式化:yapf or autopep8 

    VSCode配置参照他事他说加以考察:(Conda私下认可安装了pycodestyle

    新葡亰496net 6

    客户名与密码都以www.linuxidc.com

    附录:安装本地开垦境况Python3.7

    切实下载目录在 /2017年资料/1月/30日/Ubuntu 16.04 下安装 Ubuntu Tweak/

    sudo apt-get install python3.7
    
    sudo apt-get install python3.7-dbg
    
    curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
    
    sudo python3.7 get-pip.py
    
    sudo pip3.7 install pycodestyle
    
    sudo pip3.7 install yapf
    

    下载方式见 http://www.linuxidc.com/Linux/2013-07/87684.htm

    VSCode配置文件:

    ------------------------------------------分割线------------------------------------------

    // 设置Python的路径
    "python.pythonPath": "python3.7",
    // "python.pythonPath": "/home/dnt/anaconda3/bin/python",
    // 设置Python的代码格式化
    "python.formatting.provider": "yapf",
    // 设置Python的代码检查
    "python.linting.flake8Path": "pycodestyle",
    "python.linting.flake8Enabled": true,
    

    看中黄命令

    sudo apt-get install python3.7
    正值读取软件包列表... 完毕
    正在剖判软件包的依附关系树
    正值读取状态音信... 达成
    将会同一时候设置下列软件:
    libpython3.7-minimal libpython3.7-stdlib python3.7-minimal
    提议安装:
    python3.7-venv python3.7-doc
    下列【新】软件包将棉被服装置:
    libpython3.7-minimal libpython3.7-stdlib python3.7 python3.7-minimal
    进级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 0 个软件包未被进步。
    要求下载 4,011 kB 的存档。
    解压缩后会消耗 22.8 MB 的额外层空间间。
    你希望继续执可以吗? [Y/n] y
    获取:1 bionic/universe amd64 libpython3.7-minimal amd64 3.7.0~b3-1 [544 kB]
    获取:2 bionic/universe amd64 python3.7-minimal amd64 3.7.0~b3-1 [1,563 kB]
    获取:3 bionic/universe amd64 libpython3.7-stdlib amd64 3.7.0~b3-1 [1,685 kB]
    获取:4 bionic/universe amd64 python3.7 amd64 3.7.0~b3-1 [219 kB]
    已下载 4,011 kB,耗时 6秒 (691 kB/s)
    正在当选未采纳的软件包 libpython3.7-minimal:amd64。
    (正在读取数据库 ... 系统当下共设置有 205966 个公文和目录。)
    正思量解包 .../libpython3.7-minimal_3.7.0~b3-1_amd64.deb ...
    正在解包 libpython3.7-minimal:amd64 (3.7.0~b3-1) ...
    正在当选未选拔的软件包 python3.7-minimal。
    正准备解包 .../python3.7-minimal_3.7.0~b3-1_amd64.deb ...
    正在解包 python3.7-minimal (3.7.0~b3-1) ...
    正在当选未接纳的软件包 libpython3.7-stdlib:amd64。
    正准备解包 .../libpython3.7-stdlib_3.7.0~b3-1_amd64.deb ...
    正在解包 libpython3.7-stdlib:amd64 (3.7.0~b3-1) ...
    正在当选未选取的软件包 python3.7。
    正打算解包 .../python3.7_3.7.0~b3-1_amd64.deb ...
    正在解包 python3.7 (3.7.0~b3-1) ...
    正在管理用于 mime-support (3.60ubuntu1) 的触发器 ...
    正在管理用于 desktop-file-utils (0.23-1ubuntu3.18.04.1) 的触发器 ...
    正在安装 libpython3.7-minimal:amd64 (3.7.0~b3-1) ...
    正在安装 python3.7-minimal (3.7.0~b3-1) ...
    正在管理用于 bamfdaemon (0.5.3 18.04.20180207.2-0ubuntu1) 的触发器 ...
    Rebuilding /usr/share/applications/bamf-2.index...
    正在管理用于 man-db (2.8.3-2) 的触发器 ...
    正值管理用于 gnome-menus (3.13.3-11ubuntu1) 的触发器 ...
    正在安装 libpython3.7-stdlib:amd64 (3.7.0~b3-1) ...
    正在安装 python3.7 (3.7.0~b3-1) ...


    sudo apt-get install python3.7-dbg

    正值读取软件包列表... 达成
    正在深入分析软件包的信任性关系树
    正值读取状态音信... 实现
    将会同不经常候设置下列软件:
    libpython3.7-dbg
    提出安装:
    python3-gdbm-dbg python3-tk-dbg
    下列【新】软件包将被安装:
    libpython3.7-dbg python3.7-dbg
    晋级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 0 个软件包未被提升。
    急需下载 25.1 MB 的存档。
    解压缩后会消耗 86.1 MB 的附加空间。
    你希望继续执可以吗? [Y/n] y
    获取:1 bionic/universe amd64 libpython3.7-dbg amd64 3.7.0~b3-1 [10.9 MB]
    获取:1 bionic/universe amd64 libpython3.7-dbg amd64 3.7.0~b3-1 [10.9 MB]
    获取:2 bionic/universe amd64 python3.7-dbg amd64 3.7.0~b3-1 [14.2 MB]
    已下载 23.4 MB,耗时 1分 55秒 (203 kB/s)
    正在当选未选择的软件包 libpython3.7-dbg:amd64。
    (正在读取数据库 ... 系统当下共安装有 206572 个文件和目录。)
    正筹划解包 .../libpython3.7-dbg_3.7.0~b3-1_amd64.deb ...
    正在解包 libpython3.7-dbg:amd64 (3.7.0~b3-1) ...
    正在当选未选择的软件包 python3.7-dbg。
    正希图解包 .../python3.7-dbg_3.7.0~b3-1_amd64.deb ...
    正在解包 python3.7-dbg (3.7.0~b3-1) ...
    正在安装 libpython3.7-dbg:amd64 (3.7.0~b3-1) ...
    正值管理用于 libc-bin (2.27-3ubuntu1) 的触发器 ...
    正在安装 python3.7-dbg (3.7.0~b3-1) ...
    正在管理用于 man-db (2.8.3-2) 的触发器 ...


    安装pip: style="color: #ff0000;">https://bootstrap.pypa.io/get-pip.py

    sudo python3.7 get-pip.py
    [sudo] dnt 的密码:
    The directory '/home/dnt/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
    The directory '/home/dnt/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
    Collecting pip
    Downloading (1.3MB)
    100% |████████████████████████████████| 1.3MB 1.7MB/s
    Collecting wheel
    Downloading (41kB)
    100% |████████████████████████████████| 51kB 1.0MB/s
    Installing collected packages: pip, wheel
    Successfully installed pip-18.0 wheel-0.31.1
    dnt@MZY-PC:~/下载$ pip
    pip pip3 pip3.7
    dnt@MZY-PC:~/下载$ pip3.7 -V
    pip 18.0 from /usr/local/lib/python3.7/dist-packages/pip (python 3.7)


    sudo pip3.7 install pycodestyle
    The directory '/home/dnt/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
    The directory '/home/dnt/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
    Collecting pycodestyle
    Downloading (62kB)
    100% |████████████████████████████████| 71kB 144kB/s
    Installing collected packages: pycodestyle
    Successfully installed pycodestyle-2.4.0


    style="background-color: initial;">sudo pip3.7 install yapf

    The directory '/home/dnt/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
    The directory '/home/dnt/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
    Collecting yapf
    Downloading (166kB)
    100% |████████████████████████████████| 174kB 495kB/s
    Installing collected packages: yapf
    Successfully installed yapf-0.22.0


    可选安装: style="color: #339966;">apt-get install python3.7-*

    正在读取软件包列表... 实现
    正在深入解析软件包的注重关系树
    正值读取状态音讯... 达成
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-2to3'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-tk'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-venv'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-distutils'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-dbg'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-dev'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-doc'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-gdbm'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-minimal'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-lib2to3'
    注意,根据Glob 'python3.7-*' 选中了 'python3.7-examples'
    注意,选中 'python3-distutils' 而非 'python3.7-distutils'
    注意,选中 'python3-gdbm' 而非 'python3.7-gdbm'
    注意,选中 'python3-lib2to3' 而非 'python3.7-lib2to3'
    注意,选中 'python3-tk' 而非 'python3.7-tk'
    python3-distutils 已然是流行版 (3.6.5-3)。
    python3-distutils 已设置为手动安装。
    python3-gdbm 已是风靡版 (3.6.5-3)。
    python3-lib2to3 已是前卫版 (3.6.5-3)。
    python3-lib2to3 已安装为手动安装。
    python3.7-dbg 已是流行版 (3.7.0~b3-1)。
    python3.7-minimal 已是最新版 (3.7.0~b3-1)。
    python3.7-minimal 已安装为手动安装。
    将会同时安装下列软件:
    blt javascript-common libexpat1-dev libjs-jquery libjs-underscore
    libpython3.7 libpython3.7-dev python-pip-whl tk8.6-blt2.5
    建议设置:
    blt-demo apache2 | lighttpd | httpd tix python3-tk-dbg
    下列【新】软件包将棉被服装置:
    blt javascript-common libexpat1-dev libjs-jquery libjs-underscore
    libpython3.7 libpython3.7-dev python-pip-whl python3-tk python3.7-dev
    python3.7-doc python3.7-examples python3.7-venv tk8.6-blt2.5
    提拔了 0 个软件包,新装置了 14 个软件包,要卸载 0 个软件包,有 0 个软件包未被晋级。
    急需下载 16.6 MB 的存档。
    解压缩后会消耗 78.0 MB 的额外空间。
    你愿意继续执可以吗? [Y/n] y
    获取:1 bionic/main amd64 tk8.6-blt2.5 amd64 2.5.3 dfsg-4 [572 kB]
    获取:2 bionic/main amd64 blt amd64 2.5.3 dfsg-4 [4,944 B]
    获取:3 bionic/main amd64 javascript-common all 11 [6,066 B]
    获取:4 bionic/main amd64 libexpat1-dev amd64 2.2.5-3 [122 kB]
    获取:5 bionic/main amd64 libjs-jquery all 3.2.1-1 [152 kB]
    获取:6 bionic/main amd64 libjs-underscore all 1.8.3~dfsg-1 [59.9 kB]
    获取:7 bionic/universe amd64 libpython3.7 amd64 3.7.0~b3-1 [1,507 kB]
    获取:8 bionic/universe amd64 libpython3.7-dev amd64 3.7.0~b3-1 [2,361 kB]
    获取:9 bionic-updates/universe amd64 python-pip-whl all 9.0.1-2.3~ubuntu1 [1,652 kB]
    获取:10 bionic/main amd64 python3-tk amd64 3.6.5-3 [100 kB]
    获取:11 bionic/universe amd64 python3.7-dev amd64 3.7.0~b3-1 [501 kB]
    获取:12 bionic/universe amd64 python3.7-doc all 3.7.0~b3-1 [9,171 kB]
    获取:13 bionic/universe amd64 python3.7-examples all 3.7.0~b3-1 [422 kB]
    获取:14 bionic/universe amd64 python3.7-venv amd64 3.7.0~b3-1 [6,036 B]
    已下载 16.6 MB,耗时 24秒 (702 kB/s)
    正在当选未接受的软件包 tk8.6-blt2.5。
    (正在读取数据库 ... 系统当下共设置有 206847 个文本和目录。)
    正策画解包 .../00-tk8.6-blt2.5_2.5.3 dfsg-4_amd64.deb ...
    正在解包 tk8.6-blt2.5 (2.5.3 dfsg-4) ...
    正在当选未接收的软件包 blt。
    正思谋解包 .../01-blt_2.5.3 dfsg-4_amd64.deb ...
    正在解包 blt (2.5.3 dfsg-4) ...
    正在当选未选取的软件包 javascript-common。
    正计划解包 .../02-javascript-common_11_all.deb ...
    正在解包 javascript-common (11) ...
    正在当选未采用的软件包 libexpat1-dev:amd64。
    正希图解包 .../03-libexpat1-dev_2.2.5-3_amd64.deb ...
    正在解包 libexpat1-dev:amd64 (2.2.5-3) ...
    正在当选未接受的软件包 libjs-jquery。
    正考虑解包 .../04-libjs-jquery_3.2.1-1_all.deb ...
    正在解包 libjs-jquery (3.2.1-1) ...
    正在当选未选取的软件包 libjs-underscore。
    正考虑解包 .../05-libjs-underscore_1.8.3~dfsg-1_all.deb ...
    正在解包 libjs-underscore (1.8.3~dfsg-1) ...
    正在当选未采取的软件包 libpython3.7:amd64。
    正计划解包 .../06-libpython3.7_3.7.0~b3-1_amd64.deb ...
    正在解包 libpython3.7:amd64 (3.7.0~b3-1) ...
    正在当选未选用的软件包 libpython3.7-dev:amd64。
    正绸缪解包 .../07-libpython3.7-dev_3.7.0~b3-1_amd64.deb ...
    正在解包 libpython3.7-dev:amd64 (3.7.0~b3-1) ...
    正在当选未选拔的软件包 python-pip-whl。
    正计划解包 .../08-python-pip-whl_9.0.1-2.3~ubuntu1_all.deb ...
    正在解包 python-pip-whl (9.0.1-2.3~ubuntu1) ...
    正在当选未采取的软件包 python3-tk:amd64。
    正准备解包 .../09-python3-tk_3.6.5-3_amd64.deb ...
    正在解包 python3-tk:amd64 (3.6.5-3) ...
    正在当选未选择的软件包 python3.7-dev。
    正希图解包 .../10-python3.7-dev_3.7.0~b3-1_amd64.deb ...
    正在解包 python3.7-dev (3.7.0~b3-1) ...
    正在当选未采取的软件包 python3.7-doc。
    正计划解包 .../11-python3.7-doc_3.7.0~b3-1_all.deb ...
    正在解包 python3.7-doc (3.7.0~b3-1) ...
    正在当选未选取的软件包 python3.7-examples。
    正筹算解包 .../12-python3.7-examples_3.7.0~b3-1_all.deb ...
    正在解包 python3.7-examples (3.7.0~b3-1) ...
    正在当选未选拔的软件包 python3.7-venv。
    正希图解包 .../13-python3.7-venv_3.7.0~b3-1_amd64.deb ...
    正在解包 python3.7-venv (3.7.0~b3-1) ...
    正在装置 libjs-jquery (3.2.1-1) ...
    正在安装 python-pip-whl (9.0.1-2.3~ubuntu1) ...
    正在安装 libjs-underscore (1.8.3~dfsg-1) ...
    正值管理用于 install-info (6.5.0.dfsg.1-2) 的触发器 ...
    正在设置 python3.7-venv (3.7.0~b3-1) ...
    正在设置 python3.7-examples (3.7.0~b3-1) ...
    正值管理用于 libc-bin (2.27-3ubuntu1) 的触发器 ...
    正在装置 tk8.6-blt2.5 (2.5.3 dfsg-4) ...
    正在装置 libpython3.7:amd64 (3.7.0~b3-1) ...
    正在管理用于 doc-base (0.10.8) 的触发器 ...
    Processing 9 added doc-base files...
    正在装置 libexpat1-dev:amd64 (2.2.5-3) ...
    正在管理用于 man-db (2.8.3-2) 的触发器 ...
    正在装置 javascript-common (11) ...
    正在装置 python3.7-doc (3.7.0~b3-1) ...
    正在安装 blt (2.5.3 dfsg-4) ...
    正在安装 libpython3.7-dev:amd64 (3.7.0~b3-1) ...
    正在安装 python3-tk:amd64 (3.6.5-3) ...
    正在安装 python3.7-dev (3.7.0~b3-1) ...
    正值管理用于 libc-bin (2.27-3ubuntu1) 的触发器 ...

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo dpkg -i ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb
    [sudo] linuxidc 的密码:
    正在当选未选拔的软件包 ubuntu-tweak。
    (正在读取数据库 ... 系统当下共安装有 292726 个文件和目录。)
    正考虑解包 ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb  ...
    正在解包 ubuntu-tweak (0.8.7-1~getdeb2~xenial) ...
    dpkg: 重视关系难题驱动 ubuntu-tweak 的布署专门的学业无法三番两回:
     ubuntu-tweak 依赖于 python-dbus;然而:
      未安装软件包 python-dbus。
     ubuntu-tweak 依赖于 python-xdg;然而:
      未安装软件包 python-xdg。
     ubuntu-tweak 依赖于 python-lxml;然而:
      未设置软件包 python-lxml。
     ubuntu-tweak 依赖于 python-aptdaemon;然而:
      未设置软件包 python-aptdaemon。
     ubuntu-tweak 依赖于 python-aptdaemon.gtk3widgets;然而:
      未安装软件包 python-aptdaemon.gtk3widgets。
     ubuntu-tweak 依赖于 python-defer;然而:
      未安装软件包 python-defer。
     ubuntu-tweak 依赖于 python-compizconfig;然而:
      未设置软件包 python-compizconfig。
     ubuntu-tweak 依赖于 gir1.2-gconf-2.0;然而:
      未设置软件包 gir1.2-gconf-2.0。
     ubuntu-tweak 依赖于 gir1.2-webkit-3.0;然而:
      未设置软件包 gir1.2-webkit-3.0。

    dpkg: 处理软件包 ubuntu-tweak (--install)时出错:
     正视关系难题 - 仍未被安插
    正值管理用于 hicolor-icon-theme (0.15-0ubuntu1) 的触发器 ...
    正值管理用于 dbus (1.10.6-1ubuntu3.1) 的触发器 ...
    正在管理用于 gnome-menus (3.13.3-6ubuntu3) 的触发器 ...
    正值管理用于 desktop-file-utils (0.22-1ubuntu5) 的触发器 ...
    正值管理用于 bamfdaemon (0.5.3~bzr0 16.04.二〇一六0415-0ubuntu1) 的触发器 ...
    Rebuilding /usr/share/applications/bamf-2.index...
    正在管理用于 mime-support (3.59ubuntu1) 的触发器 ...
    正值管理用于 gconf2 (3.2.6-3ubuntu6) 的触发器 ...
    正在管理用于 libglib2.0-0:i386 (2.48.1-1~ubuntu16.04.1) 的触发器 ...
    正在管理用于 libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) 的触发器 ...
    在管理时有错误产生:
     ubuntu-tweak

    新葡亰496net 7

    ----------------------------------------下面现身错误,上面才是焚薮而田办法----------------------------------------

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo dpkg -i getdeb-repository_0.1-1~getdeb1_all.deb
    正在当选未选用的软件包 getdeb-repository。
    (正在读取数据库 ... 系统当下共设置有 292999 个公文和目录。)
    正盘算解包 getdeb-repository_0.1-1~getdeb1_all.deb  ...
    正在解包 getdeb-repository (0.1-1~getdeb1) ...
    正在安装 getdeb-repository (0.1-1~getdeb1) ...
    --2017-01-29 16:25:46-- 
    正在深入分析主机 archive.getdeb.net (archive.getdeb.net)... 144.76.200.19
    正在连接 archive.getdeb.net (archive.getdeb.net)|144.76.200.19|:80... 已一而再。
    已发出 HTTP 央求,正在等候回应... 200 OK
    长度: 1682 (1.6K) [application/pgp-keys]
    正在保存至: “STDOUT”

    -                  100%[===================>]  1.64K  --.-KB/s    in 0s     

    2017-01-29 16:25:46 (123 MB/s) - 已写入至正式输出 [1682/1682]

    OK

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo apt install gir1.2-vte-2.91
    正值读取软件包列表... 达成
    正在解析软件包的注重性关系树     
    正在读取状态音信... 完结     
    gir1.2-vte-2.91 已是新型版 (0.42.5-1ubuntu1)。
    gir1.2-vte-2.91 已设置为手动安装。
    您大概须要周转“apt-get -f install”来匡正下列错误:
    下列软件包有未知足的借助关系:
     ubuntu-tweak : 注重: python-dbus 不过它将不会棉被服装置
                    信任: python-xdg 可是它将不会被设置
                    正视: python-lxml 不过它将不会被安装
                    信任: python-aptdaemon 不过它将不会被安装
                    信任: python-aptdaemon.gtk3widgets 不过它将不会棉被服装置
                    正视: python-defer 可是它将不会被设置
                    正视: python-compizconfig 但是它将不会被安装
                    倚重: gir1.2-gconf-2.0 不过它将不会棉被服装置
                    重视: gir1.2-webkit-3.0 然而它将不会棉被服装置
    E: 有未能满意的依赖关系。请尝试不指明软件包的名字来运转“apt-get -f install”(也得以钦定三个消除办法)。

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo apt install equivs
    正在读取软件包列表... 完结
    正在分条析理软件包的依附关系树     
    正值读取状态新闻... 完毕     
    你或者要求周转“apt-get -f install”来更改下列错误:
    下列软件包有未满意的依据关系:
     equivs : 重视: debhelper 可是它将不会被设置
     ubuntu-tweak : 信赖: python-dbus 可是它将不会被设置
                    重视: python-xdg 但是它将不会被安装
                    注重: python-lxml 可是它将不会被安装
                    信赖: python-aptdaemon 可是它将不会棉被服装置
                    正视: python-aptdaemon.gtk3widgets 可是它将不会被设置
                    重视: python-defer 可是它将不会被设置
                    注重: python-compizconfig 不过它将不会被安装
                    注重: gir1.2-gconf-2.0 但是它将不会棉被服装置
                    正视: gir1.2-webkit-3.0 但是它将不会被设置
    E: 有未能满足的依据关系。请尝试不指明软件包的名字来运维“apt-get -f install”(也足以钦点贰个解决办法)。

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo apt-get -f install
    正值读取软件包列表... 达成
    正在分条析理软件包的依附关系树     
    正值读取状态音信... 实现     
    正在修补正视关系... 完毕
    将会同期安装下列软件:
      gir1.2-gconf-2.0 gir1.2-javascriptcoregtk-3.0 gir1.2-webkit-3.0
      libjavascriptcoregtk-3.0-0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
      python-aptdaemon python-aptdaemon.gtk3widgets python-bs4 python-chardet
      python-compizconfig python-dbus python-debian python-defer python-gi
      python-html5lib python-lxml python-pkg-resources python-six python-xdg
    建议安装:
      python-dbus-doc python-dbus-dbg python-gi-cairo python-genshi
      python-lxml-dbg python-lxml-doc python-setuptools
    下列【新】软件包将被设置:
      gir1.2-gconf-2.0 gir1.2-javascriptcoregtk-3.0 gir1.2-webkit-3.0
      libjavascriptcoregtk-3.0-0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
      python-aptdaemon python-aptdaemon.gtk3widgets python-bs4 python-chardet
      python-compizconfig python-dbus python-debian python-defer python-gi
      python-html5lib python-lxml python-pkg-resources python-six python-xdg
    升迁了 0 个软件包,新装置了 20 个软件包,要卸载 0 个软件包,有 3三十一个软件包未被进级。
    有 1 个软件包未有被完全安装或卸载。
    亟需下载 11.6 MB 的存档。
    解压缩后会消耗 50.7 MB 的额外层空间间。
    你希望继续执可以吗? [Y/n] Y
    获取:1 xenial/main amd64 python-dbus amd64 1.2.0-3 [83.5 kB]
    获取:2 xenial/universe amd64 python-xdg all 0.25-4 [31.4 kB]
    获取:3 xenial/main amd64 python-lxml amd64 3.5.0-1build1 [819 kB]
    获取:4 xenial/main amd64 python-pkg-resources all 20.7.0-1 [108 kB]
    获取:5 xenial/main amd64 python-chardet all 2.3.0-2 [96.3 kB]
    获取:6 xenial/main amd64 python-six all 1.10.0-3 [10.9 kB]
    获取:7 xenial/universe amd64 python-debian all 0.1.27ubuntu2 [64.2 kB]
    获取:8 xenial/universe amd64 python-defer all 1.0.6-2build1 [10.7 kB]
    获取:9 xenial/main amd64 python-gi amd64 3.20.0-0ubuntu1 [194 kB]
    获取:10 xenial/universe amd64 python-aptdaemon all 1.1.1 bzr982-0ubuntu14 [76.4 kB]
    获取:11 xenial/universe amd64 python-aptdaemon.gtk3widgets all 1.1.1 bzr982-0ubuntu14 [13.8 kB]
    获取:12 xenial-updates/universe amd64 python-compizconfig amd64 1:0.9.12.2 16.04.20160823-0ubuntu1 [38.2 kB]
    获取:13 xenial/main amd64 gir1.2-gconf-2.0 amd64 3.2.6-3ubuntu6 [6,208 B]
    获取:14 xenial-updates/universe amd64 gir1.2-javascriptcoregtk-3.0 amd64 2.4.11-0ubuntu0.1 [12.7 kB]
    获取:15 xenial-updates/universe amd64 libjavascriptcoregtk-3.0-0 amd64 2.4.11-0ubuntu0.1 [1,852 kB]
    获取:16 xenial-updates/universe amd64 libwebkitgtk-3.0-common all 2.4.11-0ubuntu0.1 [367 kB]
    获取:17 xenial-updates/universe amd64 libwebkitgtk-3.0-0 amd64 2.4.11-0ubuntu0.1 [7,593 kB]
    获取:18 xenial-updates/universe amd64 gir1.2-webkit-3.0 amd64 2.4.11-0ubuntu0.1 [60.7 kB]
    获取:19 xenial/main amd64 python-bs4 all 4.4.1-1 [64.2 kB]
    获取:20 xenial/main amd64 python-html5lib all 0.999-4 [83.1 kB]
    已下载 11.6 MB,耗时 13秒 (858 kB/s)                                         
    N: 忽视‘mssql-server.lis’(于目录‘/etc/apt/sources.list.d/’),鉴于它的文本扩大名无效
    正在当选未选用的软件包 python-dbus。
    (正在读取数据库 ... 系统当下共设置有 293002 个文件和目录。)
    正准备解包 .../python-dbus_1.2.0-3_amd64.deb  ...
    正在解包 python-dbus (1.2.0-3) ...
    新葡亰496net:Liunx下全局安装,没有那个文件或目录。正在当选未接收的软件包 python-xdg。
    正筹划解包 .../python-xdg_0.25-4_all.deb  ...
    正在解包 python-xdg (0.25-4) ...
    正在当选未采取的软件包 python-lxml。
    正策画解包 .../python-lxml_3.5.0-1build1_amd64.deb  ...
    正在解包 python-lxml (3.5.0-1build1) ...
    正在当选未选取的软件包 python-pkg-resources。
    正筹划解包 .../python-pkg-resources_20.7.0-1_all.deb  ...
    正在解包 python-pkg-resources (20.7.0-1) ...
    正在当选未选拔的软件包 python-chardet。
    正计划解包 .../python-chardet_2.3.0-2_all.deb  ...
    正在解包 python-chardet (2.3.0-2) ...
    正在当选未选择的软件包 python-six。
    正准备解包 .../python-six_1.10.0-3_all.deb  ...
    正在解包 python-six (1.10.0-3) ...
    正在当选未选取的软件包 python-debian。
    正酌量解包 .../python-debian_0.1.27ubuntu2_all.deb  ...
    正在解包 python-debian (0.1.27ubuntu2) ...
    正在当选未选用的软件包 python-defer。
    正筹划解包 .../python-defer_1.0.6-2build1_all.deb  ...
    正在解包 python-defer (1.0.6-2build1) ...
    正在当选未接受的软件包 python-gi。
    正打算解包 .../python-gi_3.20.0-0ubuntu1_amd64.deb  ...
    正在解包 python-gi (3.20.0-0ubuntu1) ...
    正在当选未选用的软件包 python-aptdaemon。
    正筹算解包 .../python-aptdaemon_1.1.1 bzr982-0ubuntu14_all.deb  ...
    正在解包 python-aptdaemon (1.1.1 bzr982-0ubuntu14) ...
    正在当选未选取的软件包 python-aptdaemon.gtk3widgets。
    正准备解包 .../python-aptdaemon.gtk3widgets_1.1.1 bzr982-0ubuntu14_all.deb  ...
    正在解包 python-aptdaemon.gtk3widgets (1.1.1 bzr982-0ubuntu14) ...
    正在当选未接纳的软件包 python-compizconfig:amd64。
    正希图解包 .../python-compizconfig_1:0.9.12.2 16.04.20160823-0ubuntu1_amd64.deb  ...
    正在解包 python-compizconfig:amd64 (1:0.9.12.2 16.04.20140823-0ubuntu1) ...
    正在当选未选用的软件包 gir1.2-gconf-2.0。
    正准备解包 .../gir1.2-gconf-2.0_3.2.6-3ubuntu6_amd64.deb  ...
    正在解包 gir1.2-gconf-2.0 (3.2.6-3ubuntu6) ...
    正在当选未选用的软件包 gir1.2-javascriptcoregtk-3.0:amd64。
    正打算解包 .../gir1.2-javascriptcoregtk-3.0_2.4.11-0ubuntu0.1_amd64.deb  ...
    正在解包 gir1.2-javascriptcoregtk-3.0:amd64 (2.4.11-0ubuntu0.1) ...
    新葡亰496net:Liunx下全局安装,没有那个文件或目录。正在当选未选用的软件包 libjavascriptcoregtk-3.0-0:amd64。
    正希图解包 .../libjavascriptcoregtk-3.0-0_2.4.11-0ubuntu0.1_amd64.deb  ...
    正在解包 libjavascriptcoregtk-3.0-0:amd64 (2.4.11-0ubuntu0.1) ...
    正在当选未选取的软件包 libwebkitgtk-3.0-common。
    正希图解包 .../libwebkitgtk-3.0-common_2.4.11-0ubuntu0.1_all.deb  ...
    正在解包 libwebkitgtk-3.0-common (2.4.11-0ubuntu0.1) ...
    正在当选未采用的软件包 libwebkitgtk-3.0-0:amd64。
    正计划解包 .../libwebkitgtk-3.0-0_2.4.11-0ubuntu0.1_amd64.deb  ...
    正在解包 libwebkitgtk-3.0-0:amd64 (2.4.11-0ubuntu0.1) ...
    正在当选未选拔的软件包 gir1.2-webkit-3.0:amd64。
    正准备解包 .../gir1.2-webkit-3.0_2.4.11-0ubuntu0.1_amd64.deb  ...
    正在解包 gir1.2-webkit-3.0:amd64 (2.4.11-0ubuntu0.1) ...
    正在当选未选用的软件包 python-bs4。
    正筹划解包 .../python-bs4_4.4.1-1_all.deb  ...
    正在解包 python-bs4 (4.4.1-1) ...
    正在当选未选用的软件包 python-html5lib。
    正计划解包 .../python-html5lib_0.999-4_all.deb  ...
    正在解包 python-html5lib (0.999-4) ...
    正在管理用于 man-db (2.7.5-1) 的触发器 ...
    正值管理用于 libc-bin (2.23-0ubuntu3) 的触发器 ...
    正在装置 python-dbus (1.2.0-3) ...
    Remove stale byte-compiled files...
    正在装置 python-xdg (0.25-4) ...
    正在安装 python-lxml (3.5.0-1build1) ...
    正在安装 python-pkg-resources (20.7.0-1) ...
    正在设置 python-chardet (2.3.0-2) ...
    正在设置 python-six (1.10.0-3) ...
    正在设置 python-debian (0.1.27ubuntu2) ...
    正在装置 python-defer (1.0.6-2build1) ...
    正在装置 python-gi (3.20.0-0ubuntu1) ...
    新葡亰496net,正在装置 python-aptdaemon (1.1.1 bzr982-0ubuntu14) ...
    正在安装 python-aptdaemon.gtk3widgets (1.1.1 bzr982-0ubuntu14) ...
    正在装置 python-compizconfig:amd64 (1:0.9.12.2 16.04.二〇一五0823-0ubuntu1) ...
    正在装置 gir1.2-gconf-2.0 (3.2.6-3ubuntu6) ...
    正在装置 gir1.2-javascriptcoregtk-3.0:amd64 (2.4.11-0ubuntu0.1) ...
    正在装置 libjavascriptcoregtk-3.0-0:amd64 (2.4.11-0ubuntu0.1) ...
    正在设置 libwebkitgtk-3.0-common (2.4.11-0ubuntu0.1) ...
    正在设置 libwebkitgtk-3.0-0:amd64 (2.4.11-0ubuntu0.1) ...
    正在设置 gir1.2-webkit-3.0:amd64 (2.4.11-0ubuntu0.1) ...
    正在设置 ubuntu-tweak (0.8.7-1~getdeb2~xenial) ...
    正在装置 python-bs4 (4.4.1-1) ...
    正在装置 python-html5lib (0.999-4) ...
    正值管理用于 libc-bin (2.23-0ubuntu3) 的触发器 ...
    正值管理用于 dbus (1.10.6-1ubuntu3.1) 的触发器 ...

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo apt install equivs
    正在读取软件包列表... 实现
    正在深入分析软件包的依赖关系树     
    正值读取状态新闻... 完毕     
    将会同期安装下列软件:
      autotools-dev debhelper dh-strip-nondeterminism
      libfile-stripnondeterminism-perl libmail-sendmail-perl
      libsys-hostname-long-perl po-debconf
    提出安装:
      dh-make libmail-box-perl
    下列【新】软件包将被设置:
      autotools-dev debhelper dh-strip-nondeterminism equivs
      libfile-stripnondeterminism-perl libmail-sendmail-perl
      libsys-hostname-long-perl po-debconf
    进级了 0 个软件包,新装置了 8 个软件包,要卸载 0 个软件包,有 335个软件包未被进级。
    内需下载 1,084 kB 的存档。
    解压缩后会损耗 2,204 kB 的附加空间。
    您愿意继续执可以吗? [Y/n] Y
    获取:1 xenial/main amd64 autotools-dev all 20150820.1 [39.8 kB]
    获取:2 xenial/main amd64 po-debconf all 1.0.19 [234 kB]
    获取:3 xenial/main amd64 libfile-stripnondeterminism-perl all 0.015-1 [10.3 kB]
    获取:4 xenial/main amd64 dh-strip-nondeterminism all 0.015-1 [4,864 B]
    获取:5 xenial/main amd64 debhelper all 9.20160115ubuntu3 [739 kB]
    获取:6 xenial/main amd64 libsys-hostname-long-perl all 1.5-1 [11.7 kB]
    获取:7 xenial/main amd64 libmail-sendmail-perl all 0.79.16-1 [26.5 kB]
    获取:8 xenial/universe amd64 equivs all 2.0.9 nmu1 [17.7 kB]
    已下载 1,084 kB,耗时 6秒 (176 kB/s)                                         
    N: 忽视‘mssql-server.lis’(于目录‘/etc/apt/sources.list.d/’),鉴于它的文本扩充名无效
    正在当选未选取的软件包 autotools-dev。
    (正在读取数据库 ... 系统当下共安装有 293517 个文件和目录。)
    正策画解包 .../autotools-dev_20150820.1_all.deb  ...
    正在解包 autotools-dev (20140820.1) ...
    正在当选未选拔的软件包 po-debconf。
    正计划解包 .../po-debconf_1.0.19_all.deb  ...
    正在解包 po-debconf (1.0.19) ...
    正在当选未选用的软件包 libfile-stripnondeterminism-perl。
    正计划解包 .../libfile-stripnondeterminism-perl_0.015-1_all.deb  ...
    正在解包 libfile-stripnondeterminism-perl (0.015-1) ...
    正在当选未选取的软件包 dh-strip-nondeterminism。
    正希图解包 .../dh-strip-nondeterminism_0.015-1_all.deb  ...
    正在解包 dh-strip-nondeterminism (0.015-1) ...
    正在当选未选取的软件包 debhelper。
    正酌量解包 .../debhelper_9.20160115ubuntu3_all.deb  ...
    正在解包 debhelper (9.二零一六0115ubuntu3) ...
    正在当选未选取的软件包 libsys-hostname-long-perl。
    正筹划解包 .../libsys-hostname-long-perl_1.5-1_all.deb  ...
    正在解包 libsys-hostname-long-perl (1.5-1) ...
    正在当选未接受的软件包 libmail-sendmail-perl。
    正计划解包 .../libmail-sendmail-perl_0.79.16-1_all.deb  ...
    正在解包 libmail-sendmail-perl (0.79.16-1) ...
    正在当选未接收的软件包 equivs。
    正筹划解包 .../equivs_2.0.9 nmu1_all.deb  ...
    正在解包 equivs (2.0.9 nmu1) ...
    正值管理用于 man-db (2.7.5-1) 的触发器 ...
    正在管理用于 doc-base (0.10.7) 的触发器 ...
    Processing 1 added doc-base file...
    正在安装 autotools-dev (20160820.1) ...
    正在安装 po-debconf (1.0.19) ...
    正在安装 libfile-stripnondeterminism-perl (0.015-1) ...
    正在设置 libsys-hostname-long-perl (1.5-1) ...
    正在设置 libmail-sendmail-perl (0.79.16-1) ...
    正在装置 debhelper (9.二零一四0115ubuntu3) ...
    正在装置 equivs (2.0.9 nmu1) ...
    正在安装 dh-strip-nondeterminism (0.015-1) ...

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ equivs-control gir1.2-vte-2.90
    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo dpkg -i gir1.2-vte-2.90-provider_1.0_all.deb
    正在当选未接收的软件包 gir1.2-vte-2.90-provider。
    (正在读取数据库 ... 系统当下共安装有 294067 个公文和目录。)
    正思虑解包 gir1.2-vte-2.90-provider_1.0_all.deb  ...
    正在解包 gir1.2-vte-2.90-provider (1.0) ...
    正在装置 gir1.2-vte-2.90-provider (1.0) ...

    linuxidc@linuxidc:~/桌面/Linuxidc.com$ sudo dpkg -i ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb
    (正在读取数据库 ... 系统当下共设置有 294071 个公文和目录。)
    正计划解包 ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb  ...
    正在将 ubuntu-tweak (0.8.7-1~getdeb2~xenial) 解包到 (0.8.7-1~getdeb2~xenial) 上 ...
    正在装置 ubuntu-tweak (0.8.7-1~getdeb2~xenial) ...
    正在管理用于 hicolor-icon-theme (0.15-0ubuntu1) 的触发器 ...
    正值管理用于 dbus (1.10.6-1ubuntu3.1) 的触发器 ...
    正值处理用于 gnome-menus (3.13.3-6ubuntu3) 的触发器 ...
    正在管理用于 desktop-file-utils (0.22-1ubuntu5) 的触发器 ...
    正值处理用于 bamfdaemon (0.5.3~bzr0 16.04.二〇一四0415-0ubuntu1) 的触发器 ...
    Rebuilding /usr/share/applications/bamf-2.index...
    正在管理用于 mime-support (3.59ubuntu1) 的触发器 ...
    正在管理用于 gconf2 (3.2.6-3ubuntu6) 的触发器 ...
    正值管理用于 libglib2.0-0:i386 (2.48.1-1~ubuntu16.04.1) 的触发器 ...
    正在管理用于 libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) 的触发器 ...
    linuxidc@linuxidc:~/桌面/Linuxidc.com$

    新葡亰496net 8

    OK。

    张开看看:

    新葡亰496net 9 

    新葡亰496net 10 

    Ubuntu 15.10/15.04/14.10/14.04 安装 Ubuntu Tweak  见 http://www.linuxidc.com/Linux/2015-12/126158.htm

    更加多Ubuntu相关消息见Ubuntu 专项论题页面 http://www.linuxidc.com/topicnews.aspx?tid=2

    本文长久更新链接地址:http://www.linuxidc.com/Linux/2017-01/140063.htm

    新葡亰496net 11

    本文由新葡亰496net发布于电脑系统,转载请注明出处:新葡亰496net:Liunx下全局安装,没有那个文件或目

    关键词: